io.vertx.json.schema.openapi3

## Class OpenAPI3SchemaParser

- java.lang.Object
- - io.vertx.json.schema.common.BaseSchemaParser
  - - io.vertx.json.schema.openapi3.OpenAPI3SchemaParser

- All Implemented Interfaces:
    SchemaParserInternal, SchemaParser

  Deprecated.

      @Deprecated
      public class OpenAPI3SchemaParser
      extends BaseSchemaParser

- - ### Field Summary

    - ### Fields inherited from class io.vertx.json.schema.common.BaseSchemaParser

      `router, validatorFactories`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OpenAPI3SchemaParser(SchemaRouter router)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OpenAPI3SchemaParser` | `create(SchemaRouter router)` Deprecated. Instantiate an OpenAPI3SchemaParser
    `protected List<ValidatorFactory>` | `initValidatorFactories()` Deprecated.
    `static Schema` | `parse(Vertx vertx, JsonObject schema, URI scope)` Deprecated. Parse an OpenAPI 3 schema

    - ### Methods inherited from class io.vertx.json.schema.common.BaseSchemaParser

      `createSchema, getSchemaRouter, parse, parseFromString, resolveIdAndAlias, withStringFormatValidator, withValidatorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.json.schema.common.SchemaParserInternal

      `parse, parse, parse, parse, parse, parse, parse, parseFromString, parseFromString, parseFromString, parseFromString`

    - ### Methods inherited from interface io.vertx.json.schema.SchemaParser

      `createDraft201909SchemaParser, createDraft7SchemaParser, createOpenAPI3SchemaParser`

- - ### Constructor Detail

    - #### OpenAPI3SchemaParser

          protected OpenAPI3SchemaParser(SchemaRouter router)

      Deprecated.

  - ### Method Detail

    - #### initValidatorFactories

          protected List<ValidatorFactory> initValidatorFactories()

      Deprecated.
      Specified by:
        `initValidatorFactories` in class `BaseSchemaParser`

    - #### create

          public static OpenAPI3SchemaParser create(SchemaRouter router)

      Deprecated.
      Instantiate an OpenAPI3SchemaParser
      Parameters:
        `router` - router to associate to read $ref
      Returns:
        a new instance of OpenAPI3SchemaParser

    - #### parse

          public static Schema parse(Vertx vertx,
                                     JsonObject schema,
                                     URI scope)

      Deprecated.
      Parse an OpenAPI 3 schema
      Parameters:
        `vertx` - this vertx instance
        `schema` - parsed json schema
        `scope` - scope of json schema
      Returns:
        a new instance of Draft7SchemaParser
      Throws:
        `SchemaException` - if schema is invalid

Copyright © 2024 Eclipse. All rights reserved.